---
references:
- id: BetancourtConceptual2017
  accessed:
    - year: 2018
      month: 7
      day: 17
  author:
    - family: Betancourt
      given: Michael
  citation-key: BetancourtConceptual2017
  container-title: arXiv:1701.02434 [stat]
  issued:
    - year: 2017
      month: 1
      day: 9
  title: A Conceptual Introduction to Hamiltonian Monte Carlo
  type: article-journal
  URL: http://arxiv.org/abs/1701.02434

- id: BetancourtConvergence2018
  accessed:
    - year: 2018
      month: 1
      day: 8
  author:
    - family: Betancourt
      given: Michael
  citation-key: BetancourtConvergence2018
  container-title: Annalen der Physik
  DOI: 10.1002/andp.201700214
  ISSN: '00033804'
  issued:
    - year: 2018
      month: 3
      day: 23
  title: >-
    The Convergence of Markov chain Monte Carlo Methods: From the Metropolis
    method to Hamiltonian Monte Carlo
  type: article-journal
  URL: http://arxiv.org/abs/1706.01520

- id: BetancourtGeometric2017
  accessed:
    - year: 2017
      month: 11
      day: 27
  author:
    - family: Betancourt
      given: Michael
    - family: Byrne
      given: Simon
    - family: Livingstone
      given: Sam
    - family: Girolami
      given: Mark
  citation-key: BetancourtGeometric2017
  container-title: Bernoulli
  container-title-short: Bernoulli
  DOI: 10.3150/16-BEJ810
  ISSN: 1350-7265
  issue: 4A
  issued:
    - year: 2017
      month: 11
      day: 1
  language: EN
  page: 2257-2298
  title: The geometric foundations of Hamiltonian Monte Carlo
  type: article-journal
  volume: '23'

- id: BetancourtSymplectic2018
  accessed:
    - year: 2019
      month: 7
      day: 26
  author:
    - family: Betancourt
      given: Michael
    - family: Jordan
      given: Michael I.
    - family: Wilson
      given: Ashia C.
  citation-key: BetancourtSymplectic2018
  container-title: arXiv:1802.03653 [stat]
  issued:
    - year: 2018
      month: 2
      day: 10
  title: On Symplectic Optimization
  type: article-journal
  URL: http://arxiv.org/abs/1802.03653

- id: CarpenterStan2015
  accessed:
    - year: 2016
      month: 7
      day: 3
  author:
    - family: Carpenter
      given: Bob
    - family: Hoffman
      given: Matthew D.
    - family: Brubaker
      given: Marcus
    - family: Lee
      given: Daniel
    - family: Li
      given: Peter
    - family: Betancourt
      given: Michael
  citation-key: CarpenterStan2015
  container-title: arXiv preprint arXiv:1509.07164
  issued:
    - year: 2015
  title: 'The Stan Math Library: Reverse-Mode Automatic Differentiation in C++'
  type: article-journal
  URL: http://arxiv.org/abs/1509.07164

- id: GabryVisualization2019
  accessed:
    - year: 2019
      month: 9
      day: 16
  author:
    - family: Gabry
      given: Jonah
    - family: Simpson
      given: Daniel
    - family: Vehtari
      given: Aki
    - family: Betancourt
      given: Michael
    - family: Gelman
      given: Andrew
  citation-key: GabryVisualization2019
  container-title: 'Journal of the Royal Statistical Society: Series A (Statistics in Society)'
  DOI: 10.1111/rssa.12378
  ISSN: '09641998'
  issue: '2'
  issued:
    - year: 2019
      month: 2
  language: en
  page: 389-402
  title: Visualization in Bayesian workflow
  type: article-journal
  URL: http://www.stat.columbia.edu/~gelman/research/published/bayes-vis.pdf
  volume: '182'

- id: GelmanStan2015
  author:
    - family: Gelman
      given: Andrew
    - family: Lee
      given: Daniel
    - family: Guo
      given: Jiqiang
  citation-key: GelmanStan2015
  container-title: Journal of Educational and Behavioral Statistics
  container-title-short: Journal of Educational and Behavioral Statistics
  DOI: 10.3102/1076998615606113
  ISSN: 1076-9986, 1935-1054
  issue: '5'
  issued:
    - year: 2015
      month: 10
  language: en
  page: 530-543
  title: >-
    Stan: A Probabilistic Programming Language for Bayesian Inference and
    Optimization
  type: article-journal
  URL: http://www.stat.columbia.edu/~gelman/research/published/stan_jebs_2.pdf
  volume: '40'

- id: GoodrichStan2017
  author:
    - family: Goodrich
      given: Ben
    - family: Gelman
      given: Andrew
    - family: Hoffman
      given: Matthew D.
    - family: Lee
      given: Daniel
    - family: Carpenter
      given: Bob
    - family: Betancourt
      given: Michael
    - family: Brubaker
      given: Marcus
    - family: Guo
      given: Jiqiang
    - family: Li
      given: Peter
    - family: Riddell
      given: Allen
  citation-key: GoodrichStan2017
  container-title: Journal of Statistical Software
  container-title-short: J. Stat. Soft.
  DOI: 10.18637/jss.v076.i01
  ISSN: 1548-7660
  issue: '1'
  issued:
    - year: 2017
  language: en
  title: 'Stan : A Probabilistic Programming Language'
  type: article-journal
  URL: http://www.jstatsoft.org/v76/i01/
  volume: '76'

- id: GorinovaProbabilistic2019
  author:
    - family: Gorinova
      given: Maria I.
    - family: Gordon
      given: Andrew D.
    - family: Sutton
      given: Charles
  citation-key: GorinovaProbabilistic2019
  container-title: Proceedings of the ACM on Programming Languages
  container-title-short: Proc. ACM Program. Lang.
  DOI: 10.1145/3290348
  ISSN: '24751421'
  issue: POPL
  issued:
    - year: 2019
      month: 1
      day: 2
  page: 1-30
  title: >-
    Probabilistic Programming with Densities in SlicStan: Efficient, Flexible
    and Deterministic
  type: article-journal
  URL: http://arxiv.org/abs/1811.00890
  volume: '3'
...
